#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include <qexserialport/qextserialport.h>



class SerialPortThread;


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:


    QByteArray response;

    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void provedPrikaz(int cmd, char * cCmd, char * argum);


public slots:
    void prijmyOdpoved();
    void slotSignalizaceDat();
    void slotNastavVysilac();
    void slotKonec();
    void slotRecieveMsg(QString s);
    void slotDisconnect();
    void slotRefresh();

private:
    Ui::MainWindow *ui;
    QextSerialPort *vysilac;

    int cnt, cnt2;
};


#endif // MAINWINDOW_H

